Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hr.tis.mgw.client.message
Class MessageHelper

    java.lang.Object
      hr.tis.mgw.client.message.MessageHelper

public class MessageHelper
extends java.lang.Object

Utility class for processing of received messages (e.g. delivery report recognition and creation).

Constructor Summary
`MessageHelper()`

Method Summary
`static DeliveryReport` | `createDeliveryReport(ReceivedMms receivedMms)` Create `DeliveryReport` based on `ReceivedMms`.
`static DeliveryReport` | `createDeliveryReport(ReceivedSms receivedSms)` Create `DeliveryReport` based on `ReceivedSms`.
`static boolean` | `isDeliveryReport(ReceivedMms receivedMms)` Check whether `ReceivedMms` is delivery report.
`static boolean` | `isDeliveryReport(ReceivedSms receivedSms)` Check whether `ReceivedSms` is delivery report.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageHelper

    public MessageHelper()

Method Detail

### isDeliveryReport

    public static boolean isDeliveryReport(ReceivedSms receivedSms)

  Check whether `ReceivedSms` is delivery report.

  Parameters:
    `receivedSms` - Received SMS
  Returns:
    true if received SMS is delivery report

### isDeliveryReport

    public static boolean isDeliveryReport(ReceivedMms receivedMms)

  Check whether `ReceivedMms` is delivery report.

  Parameters:
    `receivedMms` - Received MMS.
  Returns:
    true if received MMS is delivery report.

### createDeliveryReport

    public static DeliveryReport createDeliveryReport(ReceivedSms receivedSms)

  Create `DeliveryReport` based on `ReceivedSms`.

  Parameters:
    `receivedSms` - Received SMS.
  Returns:
    delivery report

### createDeliveryReport

    public static DeliveryReport createDeliveryReport(ReceivedMms receivedMms)

  Create `DeliveryReport` based on `ReceivedMms`.

  Parameters:
    `receivedMms` - Received MMS.
  Returns:
    delivery report

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007, TIS.kis d.o.o. All Rights Reserved.